//PIC24FJ64GA002 8MHz internal clock (PLL=32MHz)
//LEDsJsJ eXgvO
//2007.9.6  
//
//FMPLAB IDE v7.62
//RpCFC30 v3.01 (19 June 2007)
//C^[FPICkit2 v2.40
//
//RpCœK:
//
//Fubh{[h

#include "p24FJ64GA002.h"

#define F_CPU			32000000UL	//CNbNg 32MHz

extern int delay_cycle(unsigned int n);

//CONFIG͂ohbetm̂̂Qlɂ܂(FRC PLLLɂĂ܂)
_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & COE_OFF & ICS_PGx1 & FWDTEN_OFF )
_CONFIG2(IESO_OFF & FNOSC_FRCPLL & FCKSM_CSDCMD & OSCIOFNC_OFF & IOL1WAY_OFF & I2C1SEL_PRI & POSCMOD_NONE)

void delay_ms(unsigned long ms)
{
	#define one_loop_cycle 1UL //one loop = 1 cycle
	#define clock_per_cycle 2UL // clock / cycle@ (PTCNQNbNĂHH)
	#define delay_1msec_val ((F_CPU/1000UL) / (one_loop_cycle*clock_per_cycle))

	while(ms--){
		delay_cycle(delay_1msec_val);
	}
}

int main()
{
	unsigned char dat=0xff;
	_RCDIV = 0;//PostScaler   ( 0 : 32MHz   1 : 16MHz )
	TRISB = 0b10111111;//PORTB bit6 OUTPUT

	while(1){
		PORTB = dat;//LED_܂͏
		dat ^= 0b01000000;//PORTB bit6̔]
		delay_ms(500);
	}
	return 1;
}
